{$uid = $instance->getUid()}




<div class="dzm-scd-wrapper {$instance->getProperty('headlinePos')} {$instance->getStyleClasses()}" style="{$instance->getStyleString()}">


    <div class="row">
        <div class="col">
            <div class="dzm-scd-item-wrapper px-3 pb-0 pt-3">
                <div class="d-flex justify-content-center pt-2 dzm-scd-heading">
                {$instance->getProperty('saleHeading')}
                </div>
                <div class="row ">
                    <div class="col">
                        <div class="dzm-scd-item">
                            {if !$isPreview }
                            {$productlist = $portlet->getFilteredProducts($instance)}


                            <section id="{$uid}" class="splide pt-3 " >
                                <div class="splide__track dzm-scd-item-track">
                                    <div class="splide__list dzm-scd-item-list" data-dzm-scd-list>
                                        {foreach $productlist as $key => $item}

                                            <div class="splide__slide d-flex flex-column justify-content-center" data-dzm-scd-item-key="{$key}" data-dzm-scd-enddate="{if $item->Preise->Sonderpreis_aktiv != false }{$item->Preise->SonderpreisBis_en}{else}{$instance->getProperty('fixEndDate')}{/if}">
                                                <div class="dzm-ps-item-wrapper flex-column " style="height:{$instance->getProperty('height')};">

                                                    <div class="row">
                                                        <div class="col col-12 col-lg-6 d-flex flex-column justify-content-center">
                                                            <a href="{$item->cURLFull}" class="d-flex flex-column justify-content-center" style=" max-height: 63%;">
                                                                <div class="item-slider productbox-image square square-image">
                                                                    {if isset($item->oSuchspecialBild)}
                                                                        {if !empty($item->Preise->Sonderpreis_aktiv)}
                                                                            {$sale = $item->Preise->discountPercentage}
                                                                        {/if}


                                                                    {/if}
                                                                    <div class="inner">
                                                                        {if isset($item->Bilder[0]->cAltAttribut)}
                                                                            {assign var=alt value=$item->Bilder[0]->cAltAttribut|truncate:60}
                                                                        {else}
                                                                            {assign var=alt value=$item->cName}
                                                                        {/if}
                                                                        {block name='productlist-item-slider-image'}
                                                                            {include file='snippets/image.tpl' item=$item square=false srcSize='sm' class='product-image'}
                                                                        {/block}


                                                                        <meta itemprop="image" content="{$item->Bilder[0]->cURLNormal}">
                                                                        <meta itemprop="url" content="{$item->cURLFull}">

                                                                    </div>
                                                                </div>

                                                            </a>


                                                        </div>

                                                        <div class="col-12 col-lg-6 d-flex flex-column justify-content-center align-items-center">

                                                            <div class="dzm-ps-item-content-container">
                                                                <div class="dzm-ps-item-header text-left text-clamp-2 mb-2">
                                                                    <p class="h3 m-0">{$item->cKurzbezeichnung} </p>
                                                                </div>

                                                                <div class="dzm-ps-item-desc text-left my-2">
                                                                    <p class="muted text-xxs m-0">{$item->cKurzBeschreibung|strip_tags:true}</p>
                                                                </div>




                                                                <div class="dzm-ps-item-price text-left mt-2 text-clamp-2" itemprop="offers" itemscope itemtype="https://schema.org/Offer">
                                                                    {include file='productlist/dzm_listprice.tpl' Artikel=$item tplscope=$tplscope}
                                                                </div>
                                                                <a class="text-left mt-2 pl-0 dzm-btn-plain-info btn" style="text-decoraction:none" href="{$item->cURLFull}">Zum Artikel</a>
                                                            </div> 


                                                        </div>



                                                    </div>





                                                </div>
                                            </div>
                                        {/foreach}


                                    </div>
                                </div>
                            </section>
                            {/if}
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

                <div class="content-wrap d-flex flex-column">
                    <div class="countdownWrap">
                        <div class="countdownOverlay"  data-dzm-scd-overlay="{$uid}"></div>
                        <div class="row p-3 pt-0 px-lg-4 pt-lg-0">

                            <div class="col-3 my-lg-0 p-2 d-flex justify-content-center flex-column">
                                <div class="timeItem p-2 d-flex align-items-center justify-content-center">
                                    <div class="d-flex flex-column">
                                        <div id="days" class="timeUnit text-center fw-bolder" data-dzm-scd-day-selector="{$uid}"></div>
                                        <div class="timeDesc text-uppercase text-center" >Tage</div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-3 my-lg-0 p-2 d-flex justify-content-center flex-column">
                                <div class="timeItem p-2 d-flex align-items-center justify-content-center">
                                    <div class="d-flex flex-column">
                                        <div id="hours" class="timeUnit text-center fw-bolder" data-dzm-scd-hour-selector="{$uid}"></div>
                                        <div class="timeDesc text-uppercase text-center" >Stunden</div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-3 my-lg-0 p-2 d-flex justify-content-center flex-column">
                                <div class="timeItem p-2 d-flex align-items-center justify-content-center">
                                    <div class="d-flex flex-column">
                                        <div id="minutes" class="timeUnit text-center fw-bolder" data-dzm-scd-minute-selector="{$uid}"></div>
                                        <div class="timeDesc text-uppercase text-center" >Min</div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-3 my-lg-0 p-2 d-flex justify-content-center flex-column">
                                <div class="timeItem p-2 d-flex align-items-center justify-content-center">
                                    <div class="d-flex flex-column">
                                        <div id="seconds" class="timeUnit text-center fw-bolder" data-dzm-scd-second-selector="{$uid}"></div>
                                        <div class="timeDesc text-uppercase text-center" >Sek</div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                </div>


</div>
{if !$isPreview}


<script>
    document.addEventListener( 'DOMContentLoaded', function() {

        let {$uid} = new CountDown('{$uid}')
        {$uid}.init()
        {if $instance->getProperty('endDateType') == 'fixEndDate'}
            {$uid}.start('{$instance->getProperty('fixEndDate')}')
        {else}
            {$uid}.start('{if $productlist[0]->Preise->SonderpreisBis_en != ''}{$productlist[0]->Preise->SonderpreisBis_en}{else}{$instance->getProperty('fixEndDate')}{/if}')

        {/if}
        let splide{$uid} = new Splide( '#{$uid}', {
            perPage: 1,


            perMove : 1,

            type   : 'loop',

            arrows: '{$instance->getProperty('arrows')}',
            pagination: '{$instance->getProperty('pagination')}',
            height   : '{$instance->getProperty('height')}',

            autoplay: '{$instance->getProperty('autoplay')}',
            interval: '{$instance->getProperty('interval')}',
            pauseOnHover:'{$instance->getProperty('pauseOnHover')}',
            cloneStatus: false
        } );
        splide{$uid}.mount();
        {if $instance->getProperty('endDateType') != 'fixEndDate'}
            splide{$uid}.on('move',function (i,k,l) {

                let item = document.getElementById('{$uid}').querySelector('[data-dzm-scd-item-key="'+i+'"]')


                let enddate = item.dataset.dzmScdEnddate;

                {$uid}.start(enddate)


            })
        {/if}
    } );
</script>
{/if}
